Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Namespaces | Constant Groups
SingleInstanceLockFactory.h File Reference
`#include "LockFactory.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::SingleInstanceLockFactory
| Implements LockFactory for a single in-process instance, meaning all locking will take place through this one instance. Only use this LockFactory when you are certain all IndexReaders and IndexWriters for a given index are running against a single shared in-process Directory instance. This is currently the default locking for RAMDirectory. More...

## Namespaces

| Lucene

## Constant Groups

| Lucene

clucene.sourceforge.net